Update an existing Insurance Policy
curl --request PATCH \
--url https://commerce.driv.ly/api/insurancepolicies/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "insp_4dkf9v0s3j4s",
"insurer": {
"id": "ins_9k2d8sj3hdk2"
},
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "john.doe@example.com",
"lastName": "Doe",
"birthDate": "1984-09-20",
"firstName": "John",
"phoneNumber": "555-0199"
},
"policyNumber": "POL123456789"
}
'import requests
url = "https://commerce.driv.ly/api/insurancepolicies/{id}"
payload = {
"id": "insp_4dkf9v0s3j4s",
"insurer": { "id": "ins_9k2d8sj3hdk2" },
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "john.doe@example.com",
"lastName": "Doe",
"birthDate": "1984-09-20",
"firstName": "John",
"phoneNumber": "555-0199"
},
"policyNumber": "POL123456789"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'insp_4dkf9v0s3j4s',
insurer: {id: 'ins_9k2d8sj3hdk2'},
consumer: {
id: 'con_2k4jd93vsd82',
ssn: '123-45-6789',
email: 'john.doe@example.com',
lastName: 'Doe',
birthDate: '1984-09-20',
firstName: 'John',
phoneNumber: '555-0199'
},
policyNumber: 'POL123456789'
})
};
fetch('https://commerce.driv.ly/api/insurancepolicies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "insp_4dkf9v0s3j4s",
"insurer": {
"id": "ins_9k2d8sj3hdk2"
},
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "john.doe@example.com",
"lastName": "Doe",
"birthDate": "1984-09-20",
"firstName": "John",
"phoneNumber": "555-0199"
},
"policyNumber": "POL123456789"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Insurance Policy Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Consumers
Update an existing Insurance Policy
PATCH
/
insurancepolicies
/
{id}
Update an existing Insurance Policy
Path Parameters
Insurance Policy is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Response
Insurance Policy Updated
Show child attributes
Show child attributes
Example:
{
"id": "insp_4dkf9v0s3j4s",
"insurer": { "id": "ins_9k2d8sj3hdk2" },
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "john.doe@example.com",
"lastName": "Doe",
"birthDate": "1984-09-20",
"firstName": "John",
"phoneNumber": "555-0199"
},
"policyNumber": "POL123456789"
}